dofile("script\\gamemenu.lua");
dofile("script\\lib.lua");
set_inpun_fun("gameinput");
location={}
location["gallery"] = true
location["gallery"] = {}
location["gallery"]["id"] = 6
location["gallery"]["sub_id"] = 0
function LevelComplete()
  DeleteElement("gr",113);
  DeleteElement("gr",7);
  flags.levelcomplete=true;
    whole_darkness=false;
  DarkScreen(true);
  ShowMenu(false)
end;
function LoadingLevel(param)
if flags.levelcomplete then
  delete_tree_leaf("Root","gallery");-- Добавляет лист в дерево 
  setnextlavel(7);
  loadlavel();
return; end;
SetAlfaValue(503,0);
     SLevel=param;
return;end;
flags={};
flags["comx"]=false;
flags["comx1"]=false;
flags["minicomplete"]=false;
flags["minicomplete1"]=false;
flags["secretary"]=false;
flags["all"]=false;
flags["levelcomplete"]= false;
flags["nohints"]=false;
flags["HintCount"]=5;
add_tree_leaf("Root","gallery",6,0);
  addstaticobjecttogame(877777777,"buttons",114,625,"",60,0,61,61);
  SetCurrentRM("menu");
AddSheet(1002,"re","red_b",103,656,37,41,"",99,657,650,80,92,21,5,5,0,59,877777777,1,"buttonsY");
  SetCurrentRM("main");
loadresource("data\\photoaparat.png","photoaparat",2000029);
loadresource("data\\animationMENU3.png","menuAn",2000030);
AddImgToBook("photoaparat",821,637);
AddHints()
dofile("./data/6/0/res.lua");
setcurentleaf("gallery",6,0);
SwitchToSheet("re");
WaitRender()
flags.comx= true

    ShowMenu(false);
function StartLevel()
  AddParticleToObject(22,"Svet3",800,520);
  MoveEmiter("Svet3",800,520);
  AddParticleToObject(17,"blok",120,467);
  MoveEmiter("blok",120,467);
  if flags.secretary then
    if not flags.minicomplete13 then
      StartEmiter("blok"); 
    end;
    if not flags.minicomplete28 then
      StartEmiter("Svet3"); 
    end;
 end;
  DarkScreen(false);
  SetCurrentRM("menu");
  AddImgToBook("photoaparat",821,637);
  AddHints()
  SetCurrentRM("main");
  ShowMenu(true);
end
playfile(".\\sound\\game_theme2.ogg",true,true);